> ## Documentation Index
> Fetch the complete documentation index at: https://lightdash-mintlify-87860eff.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get apiv1aiagentsadminreview signals



## OpenAPI

````yaml https://raw.githubusercontent.com/lightdash/lightdash/refs/heads/main/packages/backend/src/generated/swagger.json get /api/v1/aiAgents/admin/review-signals
openapi: 3.0.0
info:
  title: Lightdash API
  version: 0.3232.0
  description: >
    Open API documentation for all public Lightdash API endpoints. #
    Authentication Before you get started, you might need to create a Personal
    Access Token to authenticate via the API. You can create a token by
    following this guide: https://docs.lightdash.com/references/personal_tokens
  license:
    name: MIT
  contact:
    name: Lightdash Support
    email: support@lightdash.com
    url: https://docs.lightdash.com/help-and-contact/contact/contact_info/
servers:
  - url: /
security: []
tags:
  - name: My Account
    description: These routes allow users to manage their own user account.
  - name: Organizations
    description: >-
      Each user is a member of a single organization. These routes allow users
      to manage their organization. Most actions are only available to admin
      users.
  - name: Projects
    description: >-
      Projects belong to a single organization. These routes allow users to
      manage their projects, browse content, and execute queries. Users inside
      an organization might have access to a project from an organization-level
      role or they might be granted access to a project directly.
  - name: Spaces
    description: >-
      Spaces allow you to organize charts and dashboards within a project. They
      also allow granular access to content by allowing you to create private
      spaces, which are only accessible to the creator and admins.
  - name: Roles & Permissions
    description: >-
      These routes allow users to manage roles and permissions for their
      organization.
    externalDocs:
      url: https://docs.lightdash.com/references/roles
  - name: Query
    description: >-
      These routes allow users to execute and manage queries against their data
      warehouse. This includes metric queries, SQL queries, and retrieving query
      results.
paths:
  /api/v1/aiAgents/admin/review-signals:
    get:
      operationId: getAiAgentReviewSignals
      parameters: []
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiAiAgentReviewSignalsResponse'
        default:
          description: Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorPayload'
      security: []
components:
  schemas:
    ApiAiAgentReviewSignalsResponse:
      $ref: '#/components/schemas/ApiSuccess_AiAgentReviewSignalSummary-Array_'
    ApiErrorPayload:
      properties:
        error:
          properties:
            data:
              $ref: '#/components/schemas/AnyType'
              description: Optional data containing details of the error
            message:
              type: string
              description: A friendly message summarising the error
            name:
              type: string
              description: Unique name for the type of error
            statusCode:
              type: number
              format: integer
              description: HTTP status code
          required:
            - name
            - statusCode
          type: object
        status:
          type: string
          enum:
            - error
          nullable: false
      required:
        - error
        - status
      type: object
      description: |-
        The Error object is returned from the api any time there is an error.
        The message contains
    ApiSuccess_AiAgentReviewSignalSummary-Array_:
      properties:
        results:
          items:
            $ref: '#/components/schemas/AiAgentReviewSignalSummary'
          type: array
        status:
          type: string
          enum:
            - ok
          nullable: false
      required:
        - results
        - status
      type: object
    AnyType:
      description: |-
        This AnyType is an alias for any
        The goal is to make it easier to identify any type in the codebase
        without having to eslint-disable all the time
        These are only used on legacy `any` types, don't use it for new types.
        This is added on a separate file to avoid circular dependencies.
    AiAgentReviewSignalSummary:
      properties:
        finding:
          properties:
            recommendation:
              allOf:
                - $ref: '#/components/schemas/AiAgentRecommendation'
              nullable: true
            evidenceExcerpts:
              items:
                $ref: '#/components/schemas/AiAgentEvidenceExcerpt'
              type: array
            fixTargets:
              items:
                $ref: '#/components/schemas/AiAgentFixTarget'
              type: array
            subcategories:
              items:
                type: string
              type: array
            primaryRootCause:
              $ref: '#/components/schemas/AiAgentRootCause'
            reviewItemUuid:
              type: string
              nullable: true
            uuid:
              type: string
          required:
            - recommendation
            - evidenceExcerpts
            - fixTargets
            - subcategories
            - primaryRootCause
            - reviewItemUuid
            - uuid
          type: object
          nullable: true
        errorMessage:
          type: string
          nullable: true
        responsePreview:
          type: string
          nullable: true
        prompt:
          type: string
        runScope:
          $ref: '#/components/schemas/AiAgentReviewClassifierRunScope'
        createdAt:
          type: string
          format: date-time
        promotionReason:
          type: string
          nullable: true
        promotedToFinding:
          type: boolean
        confidence:
          $ref: '#/components/schemas/AiAgentReviewClassifierConfidence'
        implicitSignalSources:
          items:
            $ref: '#/components/schemas/AiAgentImplicitSignalSource'
          type: array
        signal:
          $ref: '#/components/schemas/AiAgentTurnSignal'
        agentUuid:
          type: string
        projectUuid:
          type: string
        threadUuid:
          type: string
        promptUuid:
          type: string
        runUuid:
          type: string
        uuid:
          type: string
      required:
        - finding
        - errorMessage
        - responsePreview
        - prompt
        - runScope
        - createdAt
        - promotionReason
        - promotedToFinding
        - confidence
        - implicitSignalSources
        - signal
        - agentUuid
        - projectUuid
        - threadUuid
        - promptUuid
        - runUuid
        - uuid
      type: object
    AiAgentRecommendation:
      properties:
        targetRefs:
          items:
            $ref: '#/components/schemas/AiAgentTargetRef'
          type: array
        rationale:
          type: string
        title:
          type: string
        actionType:
          $ref: '#/components/schemas/AiAgentRecommendationAction'
      required:
        - targetRefs
        - rationale
        - title
        - actionType
      type: object
    AiAgentEvidenceExcerpt:
      properties:
        redacted:
          type: boolean
        text:
          type: string
        source:
          type: string
          enum:
            - user_prompt
            - assistant_answer
            - next_user_prompt
            - conversation_context
            - tool_call
            - tool_result
            - agent_config
      required:
        - redacted
        - text
        - source
      type: object
    AiAgentFixTarget:
      type: string
      enum:
        - semantic_yaml_patch
        - project_context_rule
        - agent_configuration_change
        - dbt_modeling_ticket
        - semantic_layer_ticket
        - product_capability_ticket
        - runtime_reliability_ticket
        - feedback_needed
        - no_action
    AiAgentRootCause:
      type: string
      enum:
        - semantic_layer
        - project_context
        - agent_configuration
        - product_capability
        - runtime_reliability
        - feedback_quality
        - not_a_failure
        - ambiguous
    AiAgentReviewClassifierRunScope:
      anyOf:
        - properties:
            dryRun:
              type: boolean
            agentUuid:
              type: string
            projectUuid:
              type: string
            endedAt:
              type: string
            startedAt:
              type: string
            type:
              type: string
              enum:
                - backfill
              nullable: false
          required:
            - endedAt
            - startedAt
            - type
          type: object
        - properties:
            agentUuid:
              type: string
            projectUuid:
              type: string
            threadUuid:
              type: string
            promptUuid:
              type: string
            eventType:
              $ref: '#/components/schemas/AiAgentReviewClassifierEventType'
            type:
              type: string
              enum:
                - live_event
              nullable: false
          required:
            - agentUuid
            - projectUuid
            - threadUuid
            - promptUuid
            - eventType
            - type
          type: object
        - properties:
            filters:
              $ref: '#/components/schemas/Record_string.unknown_'
            requestedByUserUuid:
              type: string
            type:
              type: string
              enum:
                - manual
              nullable: false
          required:
            - filters
            - requestedByUserUuid
            - type
          type: object
    AiAgentReviewClassifierConfidence:
      type: string
      enum:
        - low
        - medium
        - high
    AiAgentImplicitSignalSource:
      type: string
      enum:
        - next_user_correction
        - next_user_dispute
        - next_user_retry
        - output_shape_correction
        - tool_error
        - assistant_no_answer
        - product_capability_request
        - human_intervention
    AiAgentTurnSignal:
      type: string
      enum:
        - normal_refinement
        - implicit_correction
        - explicit_dispute
        - retry_after_failure
        - output_shape_correction
        - new_question
        - acceptance_or_continuation
        - product_capability_request
        - human_intervention
        - ambiguous
    AiAgentTargetRef:
      anyOf:
        - $ref: '#/components/schemas/AiAgentSemanticTargetRef'
        - properties:
            agentUuid:
              type: string
            type:
              type: string
              enum:
                - agent
              nullable: false
          required:
            - agentUuid
            - type
          type: object
        - properties:
            setting:
              $ref: '#/components/schemas/AiAgentConfigurationSetting'
            type:
              type: string
              enum:
                - agent_config
              nullable: false
          required:
            - setting
            - type
          type: object
        - properties:
            capabilityKey:
              type: string
            type:
              type: string
              enum:
                - product_capability
              nullable: false
          required:
            - capabilityKey
            - type
          type: object
        - properties:
            key:
              type: string
            type:
              type: string
              enum:
                - runtime
              nullable: false
          required:
            - key
            - type
          type: object
    AiAgentRecommendationAction:
      type: string
      enum:
        - update_semantic_yaml
        - update_agent_instructions
        - add_knowledge_document
        - enable_data_access
        - enable_sql_mode
        - enable_self_improvement
        - configure_mcp_server
        - adjust_explore_tags
        - update_access
        - route_to_product_work
        - request_more_evidence
        - no_action
    AiAgentReviewClassifierEventType:
      type: string
      enum:
        - response_saved
        - feedback_changed
    Record_string.unknown_:
      properties: {}
      additionalProperties: {}
      type: object
      description: Construct a type with a set of properties K of type T
    AiAgentSemanticTargetRef:
      anyOf:
        - properties:
            modelName:
              type: string
            type:
              type: string
              enum:
                - model
              nullable: false
          required:
            - modelName
            - type
          type: object
        - properties:
            exploreName:
              type: string
            modelName:
              type: string
            type:
              type: string
              enum:
                - explore
              nullable: false
          required:
            - exploreName
            - modelName
            - type
          type: object
        - properties:
            exploreName:
              type: string
            joinName:
              type: string
            modelName:
              type: string
            type:
              type: string
              enum:
                - join
              nullable: false
          required:
            - joinName
            - modelName
            - type
          type: object
        - properties:
            dimensionName:
              type: string
            modelName:
              type: string
            type:
              type: string
              enum:
                - dimension
              nullable: false
          required:
            - dimensionName
            - modelName
            - type
          type: object
        - properties:
            dimensionName:
              type: string
            metricName:
              type: string
            modelName:
              type: string
            type:
              type: string
              enum:
                - metric
              nullable: false
          required:
            - metricName
            - modelName
            - type
          type: object
        - properties:
            dimensionName:
              type: string
            parentDimensionName:
              type: string
            modelName:
              type: string
            type:
              type: string
              enum:
                - additional_dimension
              nullable: false
          required:
            - dimensionName
            - parentDimensionName
            - modelName
            - type
          type: object
        - properties:
            fieldName:
              type: string
            exploreName:
              type: string
            modelName:
              type: string
            type:
              type: string
              enum:
                - required_filter
              nullable: false
          required:
            - fieldName
            - exploreName
            - modelName
            - type
          type: object
        - properties:
            targetName:
              type: string
            targetType:
              type: string
              enum:
                - model
                - dimension
                - metric
            modelName:
              type: string
            type:
              type: string
              enum:
                - ai_hint
              nullable: false
          required:
            - targetName
            - targetType
            - modelName
            - type
          type: object
    AiAgentConfigurationSetting:
      type: string
      enum:
        - instructions
        - knowledge_documents
        - data_access
        - self_improvement
        - sql_mode
        - mcp_servers
        - explore_tags
        - space_access
        - user_or_group_access
        - unknown

````